<?php

namespace LaraBB\Peer\Tasks;

use Exception;
use LaraBB\Peer\Models\Peer;

class DestroyTask
{
    /**
     * DestroyUserTask constructor.
     */
    public function __construct()
    {

    }

    /**
     * @param Peer $peer
     * @return bool|null
     * @throws Exception
     */
    public function run(Peer $peer): ?bool
    {
        return $peer->delete();
    }
}
